<template>
  <v-snackbar v-model="isOpenNotification" bottom :color="dataColor" right>
    <v-icon>{{ dataIcon }}</v-icon>
    {{ text }}
    <v-btn right icon @click="isOpenNotification = false">
      <v-icon>mdi-close</v-icon>
    </v-btn>
  </v-snackbar>
</template>

<script>
export default {
  props: {
    value: {
      type: Boolean,
      default: false,
    },
    icon: {
      type: String,
      default: null,
    },
    text: {
      type: String,
      default: '',
    },
    type: {
      type: String,
      default: 'info',
    },
    color: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      dataIcon: null,
      dataColor: null,
      isOpenNotification: false,
    }
  },
  watch: {
    isOpenNotification(value) {
      this.$emit('input', value)
    },
    value(value) {
      this.isOpenNotification = value
    },
    type(value) {
      this.init()
    },
    icon(value) {
      if (value !== null) this.dataIcon = value
    },
    color(value) {
      if (value !== null) this.dataColor = value
    },
  },
  created() {
    this.init()
    this.isOpenNotification = this.value
  },
  methods: {
    init() {
      if (this.type === 'info') {
        this.dataIcon = this.icon || 'mdi-alert-circle-outline'
        this.dataColor = this.color || 'primary'
      }
    },
    close() {
      this.isOpenNotification = false
      this.$emit('input', false)
    },
  },
}
</script>
